<template>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Example Component</div>

                <div class="card-body">
                    <input type="text" v-model="name">
                    <input type="number" v-model="age">
                    <button v-on:click="search">search</button>
                </div>

                {{ data }}
            </div>
        </div>
    </div>
</div>
</template>

<script>
export default {
    data() {
        return {
            name: '',
            age: '',
            data: ''
        }
    },

    methods: {
        search: function () {
            axios.post('api/persons',{
                "name":this.name,
                "age":this.age
            })
            .then((res)=>{
                this.data = res.data
            })
        }
    },

    mounted() {
        // console.log('Component mounted.')
    }
}
</script>
